#include <bits/stdc++.h>
using namespace std;
ifstream f1("CPRIME.INP");
ofstream f2("CPRIME.OUT");
int kiemtra (int a)
{
	int dem=0;
	if (a<2)
	{
		f2<<"NO"<<endl;
	}
	if (a==2)
	{
		f2<<"YES"<<endl;
	}
	else
	{
		for (int i=2;i<a;i++)
		{
			if (a%i==0)
			{
				f2<<"NO"<<endl;
				break;
			}
			else
			{
				dem++;
			}
		}
		if (dem==a-2)
		{
			f2<<"YES"<<endl;
		}
	}
}
int main()
{
	int n;
	f1>>n;
	int a[100000];
	for (int i=0;i<n;i++)
	{
		f1>>a[i];
	}
	for (int i=0; i<n;i++)
	{
		kiemtra (a[i]);
	}
	f1.close();
	f2.close();
}
